Skip to main content
GET
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
clients
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.Clients.GetAsync(
            id: "id",
            request: new GetConnectionEnabledClientsRequestParameters {
                Take = 1,
                From = "from"
            }
        );
    }

}
package example

import (
context "context"

management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
connections "github.com/auth0/go-auth0/management/management/connections"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &connections.GetConnectionEnabledClientsRequestParameters{
Take: management.Int(
1,
),
From: management.String(
"from",
),
}
client.Connections.Clients.Get(
context.TODO(),
"id",
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.connections.clients.requests.GetConnectionEnabledClientsRequestParameters;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.connections().clients().get(
"id",
GetConnectionEnabledClientsRequestParameters
.builder()
.take(1)
.from("from")
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Connections\Clients\Requests\GetConnectionEnabledClientsRequestParameters;

$client = new Management(
token: '<token>',
);
$client->connections->clients->get(
'id',
new GetConnectionEnabledClientsRequestParameters([
'take' => 1,
'from' => 'from',
]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.connections.clients.get(
id="id",
take=1,
from="from",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.connections.clients.get(
id: "id",
take: 1,
from: "from"
)
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.clients.get("id", {
take: 1,
from: "from",
});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.clients.get("id", {
take: 1,
from: "from",
});
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/connections/{id}/clients \
--header 'Authorization: Bearer <token>'
{
  "clients": [
    {
      "client_id": "<string>"
    }
  ],
  "next": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection for which enabled clients are to be retrieved

Query Parameters

take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 1000
from
string

Optional Id from which to start selection.

Maximum string length: 1000

Response

Success

clients
object[]
required

Clients for which the connection is enabled

next
string

Encoded next token